=== debian/changelog ===
ippsample (0.0+20180213-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:59:54 +1100

ippsample (0.0+20180213-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:06:32 +0000

ippsample (0.0+20180213-0ubuntu1) bionic; urgency=low

  * Initial Release.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 13 Feb 2018 18:42:01 +0100
