=== debian/control ===
Source: ippsample
Standards-Version: 4.1.3
Priority: optional
Section: net
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders:
 Didier Raboud <odyx@debian.org>,
 Till Kamppeter <till.kamppeter@gmail.com>,
Build-Depends:
 debhelper (>= 10.2.5~),
 dh-exec,
 dpkg-dev (>= 1.16.1~),
 patch,
 autoconf,
 avahi-daemon,
 avahi-utils,
 libavahi-client-dev,
 libgnutls28-dev,
 libjpeg-dev,
 libnss-mdns,
 libpng-dev,
 zlib1g-dev
Homepage: http://istopwg.github.io/ippsample/

Package: ippsample
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Breaks: cups-ipp-utils
Replaces: cups-ipp-utils
Provides: cups-ipp-utils
Multi-Arch: foreign
Description: ippsample - Samples/development tools for the IPP
 The ippsample project provides sample implementations of an IPP
 Client, Proxy, Server, and other tools. It is based on the CUPS
 source code and is maintained by the PWG IPP workgroup.
