=== server/Makefile ===
--- 
+++ 
@@ -15,7 +15,8 @@
 # Object files...
 #
 
-OBJS =	\
+OBJS 	=	\
+		auth.o \
 		client.o \
 		conf.o \
 		device.o \
@@ -24,6 +25,7 @@
 		log.o \
 		main.o \
 		printer.o \
+		resource.o \
 		subscription.o \
 		transform.o
 
@@ -80,26 +82,19 @@
 
 ippserver:	$(OBJS) ../cups/libcups.a
 	echo Linking $@...
-	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)
+	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(PAMLIBS) $(LIBS)
 
 
 #
-# printer-png.h
+# Embedded PNG headers...
 #
 
-printer-png.h:	printer.png
+pngheaders:
 	echo "Generating printer-png.h from printer.png..."
 	echo "static const unsigned char printer_png[] =" >printer-png.h
 	echo "{" >>printer-png.h
 	od -t x1 printer.png | cut -b12- | awk '{printf("  "); for (i = 1; i <= NF; i ++) printf("0x%s,", $$i); print "";}' >>printer-png.h
 	echo "};" >>printer-png.h
-
-
-#
-# printer3d-png.h
-#
-
-printer3d-png.h:	printer3d.png
 	echo "Generating printer3d-png.h from printer3d.png..."
 	echo "static const unsigned char printer3d_png[] =" >printer3d-png.h
 	echo "{" >>printer3d-png.h
