=== tools/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #
 # IPP tools makefile.
 #
-# Copyright © 2014-2018 by the IEEE-ISTO Printer Working Group.
-# Copyright © 2007-2018 by Apple Inc.
+# Copyright © 2014-2021 by the IEEE-ISTO Printer Working Group.
+# Copyright © 2007-2019 by Apple Inc.
 # Copyright © 1997-2006 by Easy Software Products, all rights reserved.
 #
 # Licensed under Apache License v2.0.  See the file "LICENSE" for more
@@ -13,6 +13,9 @@
 
 
 OBJS		=	\
+			ipp3dprinter.o \
+			ippdoclint.o \
+			ippeveprinter.o \
 			ippfind.o \
 			ippproxy.o \
 			ipptool.o \
@@ -20,12 +23,17 @@
 			ipptransform3d.o
 TARGETS         =       \
                         $(BIN_TARGETS) \
+                        $(COMMAND_TARGETS) \
                         $(SBIN_TARGETS)
-BIN_TARGETS	=	\
-			$(IPPFIND_BIN) \
-			ipptool \
+COMMAND_TARGETS	=	\
+			ippdoclint \
 			$(IPPTRANSFORM_BIN) \
 			$(IPPTRANSFORM3D_BIN)
+BIN_TARGETS	=	\
+			ipp3dprinter \
+			ippeveprinter \
+			$(IPPFIND_BIN) \
+			ipptool
 SBIN_TARGETS	=	\
 			ippproxy
 
@@ -63,6 +71,12 @@
 		destfile=`echo $$file | sed -e '1,$$s/^ipp/$(IPP)/'`; \
 		$(INSTALL_BIN) $$file $(BUILDROOT)$(bindir)/$$destfile; \
 	done
+	$(INSTALL_DIR) -m 755 $(BUILDROOT)$(libexecdir)/cups/command
+	for file in $(COMMAND_TARGETS); do \
+		destfile=`echo $$file | sed -e '1,$$s/^ipp/$(IPP)/'`; \
+		$(INSTALL_BIN) $$file $(BUILDROOT)$(bindir)/$$destfile; \
+		ln -sf ../../../bin/$$destfile $(BUILDROOT)$(libexecdir)/cups/command/$$file; \
+	done
 	$(INSTALL_DIR) -m 755 $(BUILDROOT)$(sbindir)
 	for file in $(SBIN_TARGETS); do \
 		destfile=`echo $$file | sed -e '1,$$s/^ipp/$(IPP)/'`; \
@@ -75,6 +89,48 @@
 #
 
 test:
+
+
+#
+# Make icon resource headers...
+#
+
+resheaders:
+	for file in printer printer-sm printer-lg; do \
+		var="`echo $$file | sed -e '1,$$s/-/_/g'`"; \
+		echo "Generating $$file-png.h from $$file.png..."; \
+		echo "static const unsigned char $${var}_png[] =" >$${file}-png.h; \
+		echo "{" >>$${file}-png.h; \
+		od -t x1 -A n -v $$file.png | awk '{printf("  "); for (i = 1; i <= NF; i ++) printf("0x%s,", $$i); print "";}' >>$${file}-png.h; \
+		echo "};" >>$${file}-png.h; \
+	done
+
+
+#
+# ipp3dprinter
+#
+
+ipp3dprinter:	ipp3dprinter.o ../cups/libcups.a
+	echo Linking $@...
+	$(CC) $(LDFLAGS) -o $@ ipp3dprinter.o $(LIBS)
+
+
+#
+# ippdoclint
+#
+
+ippdoclint:	ippdoclint.o ../cups/libcups.a
+	echo Linking $@...
+	$(CC) $(LDFLAGS) -o $@ ippdoclint.o $(LIBS)
+
+
+#
+# ippeveprinter
+#
+
+ippeveprinter:	ippeveprinter.o ../cups/libcups.a
+	echo Linking $@...
+	$(CC) $(LDFLAGS) -o $@ ippeveprinter.o $(PAMLIBS) $(LIBS)
 
 
 #
