=== debian/changelog ===
ippsample (0.0.0~git20220215.f365352-1) unstable; urgency=medium

  [ Thorsten Alteholz ]
  * revert to 0.0~git20220215.f365352-1, the new upstream version
    needs cups3
    (Thanks to Bastian Germann for the suggestion)
    (Closes: #1042570)
  * debian/control: remove explicitly dependency to libcups2
    (Closes: #1069333)
  * debian/control: bump standard to 4.7.2 (no changes)

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 25 Nov 2025 22:50:59 +0100
